Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.step
Class AbstractStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.step.AbstractStepScope

Direct Known Subclasses:
  BruteForceStepScope, ConstructionHeuristicStepScope, CustomStepScope, GreedyFitStepScope, LocalSearchStepScope

    public abstract class AbstractStepScope

extends Object

Field Summary
`protected Boolean` | `bestScoreImproved`
`protected Solution` | `clonedSolution`
`protected Score` | `score`
`protected int` | `stepIndex`

Constructor Summary
`AbstractStepScope(int stepIndex)`

Method Summary
`Solution` | `createOrGetClonedSolution()`
`Boolean` | `getBestScoreImproved()`
`Solution` | `getClonedSolution()`
`abstract AbstractSolverPhaseScope` | `getPhaseScope()`
`Score` | `getScore()`
`ScoreDirector` | `getScoreDirector()`
`int` | `getStepIndex()`
`abstract int` | `getUninitializedVariableCount()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`boolean` | `hasNoUninitializedVariables()`
`abstract boolean` | `isBestSolutionCloningDelayed()`
`void` | `setBestScoreImproved(Boolean bestScoreImproved)`
`void` | `setClonedSolution(Solution clonedSolution)`
`void` | `setScore(Score score)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stepIndex

    protected final int stepIndex

### score

    protected Score score

### bestScoreImproved

    protected Boolean bestScoreImproved

### clonedSolution

    protected Solution clonedSolution

Constructor Detail

### AbstractStepScope

    public AbstractStepScope(int stepIndex)

Method Detail

### getPhaseScope

    public abstract AbstractSolverPhaseScope getPhaseScope()

### getStepIndex

    public int getStepIndex()

### isBestSolutionCloningDelayed

    public abstract boolean isBestSolutionCloningDelayed()

### getUninitializedVariableCount

    public abstract int getUninitializedVariableCount()

### hasNoUninitializedVariables

    public boolean hasNoUninitializedVariables()

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getBestScoreImproved

    public Boolean getBestScoreImproved()

### setBestScoreImproved

    public void setBestScoreImproved(Boolean bestScoreImproved)

### getClonedSolution

    public Solution getClonedSolution()

### setClonedSolution

    public void setClonedSolution(Solution clonedSolution)

### getScoreDirector

    public ScoreDirector getScoreDirector()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingRandom

    public Random getWorkingRandom()

### createOrGetClonedSolution

    public Solution createOrGetClonedSolution()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.